1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

can you play cso/iso on psp ver2.82

Discussion in 'Sony PSP - Mod and firmware discussion' started by lagunab, Jul 4, 2007.

  1. lagunab

    lagunab Member

    Joined:
    Jun 27, 2007
    Messages:
    16
    Likes Received:
    0
    Trophy Points:
    11
    can you play cso/iso on psp ver2.82
     
  2. Smurff

    Smurff Regular member

    Joined:
    Jun 12, 2005
    Messages:
    3,410
    Likes Received:
    0
    Trophy Points:
    46
    no, upgrade to either 3.03 or 3.50 (3.03 if u have GTA:VCS UMD) or (3.50 if u have Lumines UMD) then downgrade to 1.5 then upgrade to 3.40OE-A
     
  3. lagunab

    lagunab Member

    Joined:
    Jun 27, 2007
    Messages:
    16
    Likes Received:
    0
    Trophy Points:
    11
    um.. im scared of downgrading my psp because maybe it will brick is it possible to upgrade my psp into a higher version then upgrade it to 3.40oe-a without downgrading
     
  4. blackvamp

    blackvamp Regular member

    Joined:
    May 3, 2007
    Messages:
    1,173
    Likes Received:
    0
    Trophy Points:
    46
    Don't make multiple threads about the same topic!

    No means no, you have to downgrade. If you are too scare, don't do it!
     

Share This Page